#!/bin/sh
# px-rest-helper.sh - controls the host's PX-OCI service via OCI-Monitor REST service

set -euf -o pipefail
PORT=9015
COPT='-fs -X POST'

rest() {
    curl $COPT http://127.0.0.1:$PORT/service/$1
}

while true; do
    [ $# -le 0 ] && break
    case "$1" in
        status|start|restart|stop|enable|disable|reload)
            rest $1 ;;
        uninstall|remove)
            rest stop
            rest disable
            rest remove ;;
        -p|--port)
            PORT=$1 ;;
        --debug)
            export PS4='+(${BASH_SOURCE}:${LINENO}): ${FUNCNAME[0]:+${FUNCNAME[0]}(): }'
            set -x
            COPT="-v $COPT" ;;
        *)
            break ;;
    esac
    shift
done

